# class Reline::Face

### Constants

SGR_PARAMETERS

### Public Class Methods

[] (name)
Source

    # File lib/reline/face.rb, line 169
    def self.[](name)
      @configs[name]
    end

config (name, &block)
Source

    # File lib/reline/face.rb, line 173
    def self.config(name, &block)
      @configs ||= {}
      @configs[name] = Config.new(name, &block)
    end

configs ()
Source

    # File lib/reline/face.rb, line 178
    def self.configs
      @configs.transform_values(&:definition)
    end

force_truecolor ()
Source

    # File lib/reline/face.rb, line 164
    def self.force_truecolor
      @force_truecolor = true
      @configs&.each_value(&:reconfigure)
    end

load_initial_configs ()
Source

    # File lib/reline/face.rb, line 182
    def self.load_initial_configs
      config(:default) do |conf|
        conf.define :default, style: :reset
        conf.define :enhanced, style: :reset
        conf.define :scrollbar, style: :reset
      end
      config(:completion_dialog) do |conf|
        conf.define :default, foreground: :bright_white, background: :gray
        conf.define :enhanced, foreground: :black, background: :white
        conf.define :scrollbar, foreground: :white, background: :gray
      end
    end

reset_to_initial_configs ()
Source

    # File lib/reline/face.rb, line 195
    def self.reset_to_initial_configs
      @configs = {}
      load_initial_configs
    end

truecolor? ()
Source

    # File lib/reline/face.rb, line 160
    def self.truecolor?
      @force_truecolor || %w[truecolor 24bit].include?(ENV['COLORTERM'])
    end